Skip to main content
POST
Get Issue Counts

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Specifies the deployment to which the issues belong.

Body

application/json
deploymentId
string

Specifies the deployment to which the issues belong.

issueType
enum<string>

Deprecated: use issue_types instead. Filters issues to those with the specified type.

valuedescription
ISSUE_TYPE_SASTDetected by Code rules
ISSUE_TYPE_SCADetected by Supply Chain rules
ISSUE_TYPE_SECRETSDetected by Secrets rules
ISSUE_TYPE_RESEARCHDetected by research rules or scanners
ISSUE_TYPE_AI_SASTDetected by AI detection code scanning
Available options:
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
filter
object

Filters the issues to count.

issueTypes
enum<string>[]

Filters issues to those with any of the specified types (based on the product which produced these issues). When empty, falls back to the deprecated issue_type field for backward compatibility.

valuedescription
ISSUE_TYPE_SASTDetected by Code rules
ISSUE_TYPE_SCADetected by Supply Chain rules
ISSUE_TYPE_SECRETSDetected by Secrets rules
ISSUE_TYPE_RESEARCHDetected by research rules or scanners
ISSUE_TYPE_AI_SASTDetected by AI detection code scanning
Available options:
ISSUE_TYPE_UNSPECIFIED,
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST

Response

200 - application/json

OK

open
string
ignored
string
ignoredFalsePositive
string
ignoredAcceptableRisk
string
ignoredNoTime
string
ignoredNoTriageReason
string
closed
string
reviewing
string
fixing
string
provisionallyIgnored
string
ignoredDuplicate
string
ignoredCode
string

Count of code-ignored (nosemgrep-muted) findings, regardless of triage reason.

archived
string